Subject: New Reply Received - Hi! This to follow up the deliver of the Teamsterz 4 Level Garage that I purchased last Nov26? I wou...
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 03 Dec 2020 05:52:00 +0000

Hi Algaili Abdelbagee Ahmed,  The customer has responded to the ticket.  Hi! This to follow up the deliver of the Teamsterz 4 Level Garage that I purchased last Nov26? I wou...  Ticket comment <div>No! I haven’t received the Teamsterz yet only the puzzle mat. Please check with your partner courier. This is the only item that we are waiting among the all online order we had. And my son has been very much excited to have it and a bit disspointed that until now its not yet delivered</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1812839